Posts
Edit
Topics
Schema
The schema defines all the fields that exist within a post record. Any response from these endpoints can be expected to contain the fields below unless the `_filter` query parameter is used or the schema field only appears in a specific context.
datestring or null, datetime (details) |
The date the object was published, in the site's timezone.
Context: |
date_gmtstring or null, datetime (details) |
The date the object was published, as GMT.
Context: |
guidobject |
The globally unique identifier for the object.
Read only Context: |
idinteger |
Unique identifier for the object.
Read only Context: |
linkstring, uri |
URL to the object.
Read only Context: |
modifiedstring, datetime (details) |
The date the object was last modified, in the site's timezone.
Read only Context: |
modified_gmtstring, datetime (details) |
The date the object was last modified, as GMT.
Read only Context: |
slugstring |
An alphanumeric identifier for the object unique to its type.
Context: |
statusstring |
A named status for the object.
Context: One of: |
typestring |
Type of Post for the object.
Read only Context: |
passwordstring |
A password to protect access to the content and excerpt.
Context: |
permalink_templatestring |
Permalink template for the object.
Read only Context: |
generated_slugstring |
Slug automatically generated from the object title.
Read only Context: |
titleobject |
The title for the object.
Context: |
contentobject |
The content for the object.
Context: |
authorinteger |
The ID for the author of the object.
Context: |
excerptobject |
The excerpt for the object.
Context: |
featured_mediainteger |
The ID of the featured media for the object.
Context: |
comment_statusstring |
Whether or not comments are open on the object.
Context: One of: |
ping_statusstring |
Whether or not the object can be pinged.
Context: One of: |
formatstring |
The format for the object.
Context: One of: |
metaobject |
Meta fields.
Context: |
stickyboolean |
Whether or not the object should be treated as sticky.
Context: |
templatestring |
The theme file to use to display the object.
Context: |
categoriesarray |
The terms assigned to the object in the category taxonomy.
Context: |
tagsarray |
The terms assigned to the object in the post_tag taxonomy.
Context: |
List Posts
Query this endpoint to retrieve a collection of posts. The response you receive can be controlled and filtered using the URL query parameters below.
Definition
GET /wp/v2/posts
Example Request
$ curl https://example.com/wp-json/wp/v2/posts
Arguments
context
|
Scope under which the request is made; determines fields present in response.
Default: One of: |
page
|
Current page of the collection.
Default: |
per_page
|
Maximum number of items to be returned in result set.
Default: |
search
|
Limit results to those matching a string. |
after
|
Limit response to posts published after a given ISO8601 compliant date. |
author
|
Limit result set to posts assigned to specific authors. |
author_exclude
|
Ensure result set excludes posts assigned to specific authors. |
before
|
Limit response to posts published before a given ISO8601 compliant date. |
exclude
|
Ensure result set excludes specific IDs. |
include
|
Limit result set to specific IDs. |
offset
|
Offset the result set by a specific number of items. |
order
|
Order sort attribute ascending or descending.
Default: One of: |
orderby
|
Sort collection by object attribute.
Default: One of: |
slug
|
Limit result set to posts with one or more specific slugs. |
status
|
Limit result set to posts assigned one or more statuses.
Default: |
tax_relation
|
Limit result set based on relationship between multiple taxonomies. One of: AND, OR
|
categories
|
Limit result set to all items that have the specified term assigned in the categories taxonomy. |
categories_exclude
|
Limit result set to all items except those that have the specified term assigned in the categories taxonomy. |
tags
|
Limit result set to all items that have the specified term assigned in the tags taxonomy. |
tags_exclude
|
Limit result set to all items except those that have the specified term assigned in the tags taxonomy. |
sticky
|
Limit result set to items that are sticky. |
Create a Post
Arguments
date
|
The date the object was published, in the site's timezone. |
date_gmt
|
The date the object was published, as GMT. |
slug
|
An alphanumeric identifier for the object unique to its type. |
status
|
A named status for the object. One of: publish, future, draft, pending, private
|
password
|
A password to protect access to the content and excerpt. |
title
|
The title for the object. |
content
|
The content for the object. |
author
|
The ID for the author of the object. |
excerpt
|
The excerpt for the object. |
featured_media
|
The ID of the featured media for the object. |
comment_status
|
Whether or not comments are open on the object. One of: open, closed
|
ping_status
|
Whether or not the object can be pinged. One of: open, closed
|
format
|
The format for the object. One of: standard, aside, chat, gallery, link, image, quote, status, video, audio
|
meta
|
Meta fields. |
sticky
|
Whether or not the object should be treated as sticky. |
template
|
The theme file to use to display the object. |
categories
|
The terms assigned to the object in the category taxonomy. |
tags
|
The terms assigned to the object in the post_tag taxonomy. |
Retrieve a Post
Definition & Example Request
GET /wp/v2/posts/<id>
Query this endpoint to retrieve a specific post record.
$ curl https://example.com/wp-json/wp/v2/posts/<id>
Update a Post
Arguments
id
|
Unique identifier for the object. |
date
|
The date the object was published, in the site's timezone. |
date_gmt
|
The date the object was published, as GMT. |
slug
|
An alphanumeric identifier for the object unique to its type. |
status
|
A named status for the object. One of: publish, future, draft, pending, private
|
password
|
A password to protect access to the content and excerpt. |
title
|
The title for the object. |
content
|
The content for the object. |
author
|
The ID for the author of the object. |
excerpt
|
The excerpt for the object. |
featured_media
|
The ID of the featured media for the object. |
comment_status
|
Whether or not comments are open on the object. One of: open, closed
|
ping_status
|
Whether or not the object can be pinged. One of: open, closed
|
format
|
The format for the object. One of: standard, aside, chat, gallery, link, image, quote, status, video, audio
|
meta
|
Meta fields. |
sticky
|
Whether or not the object should be treated as sticky. |
template
|
The theme file to use to display the object. |
categories
|
The terms assigned to the object in the category taxonomy. |
tags
|
The terms assigned to the object in the post_tag taxonomy. |
Definition
POST /wp/v2/posts/<id>
Example Request
$ curl -X POST https://example.com/wp-json/wp/v2/posts/<id> -d '{"title":"My New Title"}'
Delete a Post
Arguments
id
|
Unique identifier for the object. |
force
|
Whether to bypass Trash and force deletion. |
Definition
DELETE /wp/v2/posts/<id>
Example Request
$ curl -X DELETE https://example.com/wp-json/wp/v2/posts/<id>